## org.red5.io
Interface IStreamableFile

All Known Subinterfaces:
  IFLV, IM4A, IMP3, IMP4

All Known Implementing Classes:
  FLV, M4A, MP3, MP4

    public interface IStreamableFile

Interface represents streamable file with tag reader and writers (one for plain mode and one for append)

Method Summary
`ITagWriter` `getAppendWriter()` Returns a Writer which is setup to append to the file.
`ITagReader` `getReader()` Returns a reader to parse and read the tags inside the file.
`ITagWriter` `getWriter()` Returns a writer that creates a new file or truncates existing contents.

Method Detail

### getReader

    ITagReader getReader()
                         throws IOException

  Returns a reader to parse and read the tags inside the file.

  Returns:
    the reader Tag reader
  Throws:
    `IOException` - I/O exception

### getWriter

    ITagWriter getWriter()
                         throws IOException

  Returns a writer that creates a new file or truncates existing contents.

  Returns:
    the writer Tag writer
  Throws:
    `IOException` - I/O exception

### getAppendWriter

    ITagWriter getAppendWriter()
                               throws IOException

  Returns a Writer which is setup to append to the file.

  Returns:
    the writer Tag writer used for append mode
  Throws:
    `IOException` - I/O exception

Copyright © 2006-2010 The Red5 Project